Connect Lighter
curl --request POST \
--url https://perps-api.vooi.io/user-exchange/lighter \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accountIndex": 4503599627370495,
"apiKeyIndex": 127,
"privateKey": "<string>"
}
'import requests
url = "https://perps-api.vooi.io/user-exchange/lighter"
payload = {
"accountIndex": 4503599627370495,
"apiKeyIndex": 127,
"privateKey": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({accountIndex: 4503599627370495, apiKeyIndex: 127, privateKey: '<string>'})
};
fetch('https://perps-api.vooi.io/user-exchange/lighter', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"exchange": "aster",
"valid": true
}User exchange
Connect Lighter
POST
/
user-exchange
/
lighter
Connect Lighter
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json